> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Handler for POST /api/v1/reason/stream

> Accepts a reasoning query and returns an SSE stream of reasoning events. **Required scope:** write

Accepts a reasoning query and returns an SSE stream of reasoning events.

**Required scope:** `write`

### Request body

`StreamReasonRequest`

<ParamField body="as_of_timestamp" type="string" />

<ParamField body="query" type="string" required />

<ParamField body="strategy" type="string" />

### Response

No response body. SSE stream started.

### Status codes

| Code  | Meaning                                            |
| ----- | -------------------------------------------------- |
| `200` | SSE stream started                                 |
| `400` | Invalid request                                    |
| `401` | Unauthorized — missing or invalid credentials      |
| `403` | Forbidden — the key/token lacks the required scope |
| `429` | Rate limited — see Retry-After / X-RateLimit-Reset |

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.nsr.stateset.com/api/v1/reason/stream' \
    --header "X-API-Key: $STATESET_NSR_API_KEY" \
    --header 'Content-Type: application/json' \
    --data '{
    "as_of_timestamp": "2026-08-31T14:22:05Z",
    "query": "string",
    "strategy": "string"
  }'
  ```
</RequestExample>
